<?php

set_include_path(get_include_path().PATH_SEPARATOR.__DIR__.'/../devtools');

define('SYSPATH', '');

require_once 'tapunit.php';
require_once 'test/fixtures/authenticated.php';
require_once 'sysnagios/models/sysnagios.php';
require_once 'sysnagios/controllers/sysnagios.php';

function run_all_tests() {
	$test_files = glob(__DIR__.'/*Test.php');
	if(!$test_files) {
		echo "No test files found, exiting.\n";
		exit(0);
	}
	$tap = new phptap();
	foreach($test_files as $file) {
		require_once $file;
		runUnit(pathinfo($file, PATHINFO_FILENAME), $tap);
	}
}

if((isset($_GET, $_GET['run']) && $_GET['run']) || (isset($GLOBALS['argv']) && in_array('--run', $GLOBALS['argv']))) {
	// make sure we can include this file without running the tests
	run_all_tests();
}
